<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: ParrotNavBoard.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_parrot_nav_board_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ParrotNavBoard.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for ArDrone 2 sensors.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="_thread_8h_source.html">Thread.h</a>&gt;</code><br />
</div>
<p><a href="_parrot_nav_board_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html">framework::sensor::ParrotNavBoard</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for ArDrone 2 sensors.  <a href="classframework_1_1sensor_1_1_parrot_nav_board.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceframework"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceframework.html">framework</a></td></tr>
<tr class="memdesc:namespaceframework"><td class="mdescLeft">&#160;</td><td class="mdescRight">namespace of the Framework <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceframework_1_1core"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceframework_1_1core.html">framework::core</a></td></tr>
<tr class="memdesc:namespaceframework_1_1core"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceframework_1_1sensor"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceframework_1_1sensor.html">framework::sensor</a></td></tr>
<tr class="memdesc:namespaceframework_1_1sensor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sensor classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aaba88b24a21a6c70c895c0d55f4a69a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaba88b24a21a6c70c895c0d55f4a69a0"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>size</b></td></tr>
<tr class="separator:aaba88b24a21a6c70c895c0d55f4a69a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a97914b75ed3ab7d0e13d8b200d758a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a97914b75ed3ab7d0e13d8b200d758a"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>seq</b></td></tr>
<tr class="separator:a0a97914b75ed3ab7d0e13d8b200d758a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0036a2ee97b12cd1a1d5f58691528456"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0036a2ee97b12cd1a1d5f58691528456"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>acc</b> [3]</td></tr>
<tr class="separator:a0036a2ee97b12cd1a1d5f58691528456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bc4a4dafbf111b0cf5f6122ca746e85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4bc4a4dafbf111b0cf5f6122ca746e85"></a>
int16_t&#160;</td><td class="memItemRight" valign="bottom"><b>gyro</b> [3]</td></tr>
<tr class="separator:a4bc4a4dafbf111b0cf5f6122ca746e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58204553252dde488b335ecee9a2a623"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58204553252dde488b335ecee9a2a623"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>acc_temp</b></td></tr>
<tr class="separator:a58204553252dde488b335ecee9a2a623"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d00f7a4cc9b22b815e0a43cd91dc843"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d00f7a4cc9b22b815e0a43cd91dc843"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>gyro_temp</b></td></tr>
<tr class="separator:a1d00f7a4cc9b22b815e0a43cd91dc843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83a3ce5ab8e95274597e111c791b7129"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83a3ce5ab8e95274597e111c791b7129"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_echo</b></td></tr>
<tr class="separator:a83a3ce5ab8e95274597e111c791b7129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f7947f010bd5ceb4b385b5e457d7317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f7947f010bd5ceb4b385b5e457d7317"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_echo_start</b></td></tr>
<tr class="separator:a5f7947f010bd5ceb4b385b5e457d7317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af28f1ade127a5ab09879c3ccc97d10b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af28f1ade127a5ab09879c3ccc97d10b3"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_echo_end</b></td></tr>
<tr class="separator:af28f1ade127a5ab09879c3ccc97d10b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac461948b6a02084c3587c3ccd02f8bae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac461948b6a02084c3587c3ccd02f8bae"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_association_echo</b></td></tr>
<tr class="separator:ac461948b6a02084c3587c3ccd02f8bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9919c44c08fc2439cc7a1fb8b2549a1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9919c44c08fc2439cc7a1fb8b2549a1f"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_distance_echo</b></td></tr>
<tr class="separator:a9919c44c08fc2439cc7a1fb8b2549a1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b0c9d829deb75f03c5bedf4c9f02cc4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b0c9d829deb75f03c5bedf4c9f02cc4"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_courbe_temps</b></td></tr>
<tr class="separator:a8b0c9d829deb75f03c5bedf4c9f02cc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcb26c22621d105f94e047d088903f0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcb26c22621d105f94e047d088903f0e"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_courbe_valeur</b></td></tr>
<tr class="separator:afcb26c22621d105f94e047d088903f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5ed1f8306bbe288f452dd2c5076fbd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe5ed1f8306bbe288f452dd2c5076fbd"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>us_courbe_ref</b></td></tr>
<tr class="separator:abe5ed1f8306bbe288f452dd2c5076fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed1980e50a077578232c434eb09ae11f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed1980e50a077578232c434eb09ae11f"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>nb_echo</b></td></tr>
<tr class="separator:aed1980e50a077578232c434eb09ae11f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac642776b7a768ed3396f022e80d6d7b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac642776b7a768ed3396f022e80d6d7b0"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>sum_echo</b></td></tr>
<tr class="separator:ac642776b7a768ed3396f022e80d6d7b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27caddc553245c9730f0f9f4c3f22b63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27caddc553245c9730f0f9f4c3f22b63"></a>
int16_t&#160;</td><td class="memItemRight" valign="bottom"><b>gradient</b></td></tr>
<tr class="separator:a27caddc553245c9730f0f9f4c3f22b63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada2fe611a1ac2ab5587b66a417c414a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada2fe611a1ac2ab5587b66a417c414a1"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>flag_echo_ini</b></td></tr>
<tr class="separator:ada2fe611a1ac2ab5587b66a417c414a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ad120afa713a54244728bc253803b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8ad120afa713a54244728bc253803b6"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>pressure</b></td></tr>
<tr class="separator:af8ad120afa713a54244728bc253803b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab55e28f22adccf73d5535a00eb656c9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab55e28f22adccf73d5535a00eb656c9b"></a>
int16_t&#160;</td><td class="memItemRight" valign="bottom"><b>temprature_pressure</b></td></tr>
<tr class="separator:ab55e28f22adccf73d5535a00eb656c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a5efa29812f939ef282ef377e50cb4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7a5efa29812f939ef282ef377e50cb4"></a>
int16_t&#160;</td><td class="memItemRight" valign="bottom"><b>mag</b> [3]</td></tr>
<tr class="separator:aa7a5efa29812f939ef282ef377e50cb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6796c847bbd16253ce2538754c250bd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6796c847bbd16253ce2538754c250bd6"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>checksum</b></td></tr>
<tr class="separator:a6796c847bbd16253ce2538754c250bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for ArDrone 2 sensors. </p>
<dl class="section author"><dt>Author</dt><dd>Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2013/12/19 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>4.0 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_parrot_nav_board_8h.html">ParrotNavBoard.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
